HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

MSP API:- Enable auto license settings and assign services to all devices owned by tenant customers.

Enable auto license settings for MSP and Tenants. Assign licenses for given services to all the devices owned by tenant customers.
Note - License assignment is not supported for the MSP owned devices. License assignment will be in paused state if the total license tokens are less than total device counts(including MSP and tenants)

  1. include_customers: if provided, license settings will be enabled only for the customers present in include_customers list.
  2. exclude_customers: if provided, license settings will be enabled for customers except the customers present in exclude_customers list.
  3. If none of the above parameters are provided then license settings will be enabled for all customers i.e MSP, tenants and future tenants(Note: Newly created tenant will be inherited license settings from MSP)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Customers and service detail for enabling auto licensing.

include_customers
array of strings

Customer ids to be included for licensing/un-licensing.

include_customers
exclude_customers
array of strings

Customer ids to be excluded for licensing/un-licensing.

exclude_customers
services
array of strings
required

list of services e.g. ['pa', 'ucc', foundation_ap, advanced_switch_6200, foundation_70XX etc ...]. Check /platform/licensing/v1/services/config API response to know the list of supported services.

services*
Responses
200

Successfully assigned licenses and enabled auto licensing for given services.

400

A required parameter or field is missing.

401

Unauthorized access. Authentication failed or was not provided.

403

Access denied.

404

The requested entity was not found.

409

Request Unsuccessful

413

Request-size limit exceeded

417

Request-size limit exceeded

429

API Rate limit exceeded

500

Server error

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!